---
#latest tag for this is 2yo https://quay.io/repository/ansible/molecule?tab=tags
image: quay.io/ansible/molecule:3.1.5 #applied 20201031
services:
  - docker:dind #Docker-in-Docker workflow

stages:
  - test

before_script:
  - docker -v
  - python3 -V
  - ansible --version
  - molecule --version
  - ansible-lint --version

molecule-workstation:
  stage: test
  tags:
    - docker
  variables:
    #Needed to add this. Should only be req GitLab Runner 12.7 or earlier, https://docs.gitlab.com/ee/ci/docker/using_docker_build.html
    DOCKER_HOST: "tcp://docker:2375" 
    PY_COLORS: 1
  script:
    - molecule test
  rules:
    - if: '$CI_COMMIT_BRANCH == "master" || $CI_COMMIT_BRANCH == "test"'
      changes:
        - "*.yml"
      when: always
